### Function

# GLib Variant new_boolean

since: 2.24

#### Declaration

    GVariant*
    g_variant_new_boolean (
      gboolean value
    )

#### Description

Creates a new boolean `GVariant` instance — either `TRUE` or `FALSE`.

Available since: 2.24

#### Parameters

`value`

  Type: `gboolean`

  A #gboolean value.

#### Return value

Type: `GVariant`

A floating reference to a new boolean `GVariant` instance.

The data is owned by the called function.